	IFND GMS_IMAGE_I
GMS_IMAGE_I  SET  1

**
**	$VER: image.i 0.5 (15.02.97)
**
**	(C) Copyright 1996-1997 DreamWorld Productions.
**	    All Rights Reserved
**

****************************************************************************
* The picture structure for loading and depacking of pictures.

PCV1 =	("PC"<<16)|00

   STRUCTURE	Pic,0
	ULONG	PIC_VERSION        ;Structure version, PCV1.
	APTR	PIC_Stats          ;Private.
	APTR	PIC_Data           ;Source.
	UWORD	PIC_Width          ;Picture Width in pixels.
	UWORD	PIC_ByteWidth      ;Picture Width in bytes.
	UWORD	PIC_Height         ;Picture Height
	UWORD	PIC_Planes         ;Amount of planes
	ULONG	PIC_AmtColours     ;Amount of colours.
	APTR	PIC_Palette        ;Ptr to Palette.
	UWORD	PIC_ScrMode        ;Intended screen mode for picture.
	UWORD	PIC_ScrType        ;Interleaved/Chunky/Planar
	ULONG	PIC_Options        ;Special flags.
	APTR	PIC_File           ;Where this picture comes from.
	LABEL	PCV1_SIZEOF

PCA_Data =	 PIC_Data|TLONG
PCA_Width =	 PIC_Width|TWORD
PCA_ByteWidth =	 PIC_ByteWidth|TWORD
PCA_Height =	 PIC_Height|TWORD
PCA_Planes =	 PIC_Planes|TWORD
PCA_AmtColours = PIC_AmtColours|TLONG
PCA_Palette =	 PIC_Palette|TLONG
PCA_ScrMode =	 PIC_ScrMode|TWORD
PCA_ScrType =	 PIC_ScrType|TWORD
PCA_Options =	 PIC_Options|TLONG
PCA_File =	 PIC_File|TLONG

****************************************************************************
* The Anim structure for loading and playing of animations.

AMV1 =	("AM"<<16)|00

    STRUCTURE	Anim,0
	ULONG	ANM_VERSION        ;Structure version, AMV1.
	APTR	ANM_Stats          ;Private.
	UWORD	ANM_Width          ;Anim width
	UWORD	ANM_Height         ;Anim height
	UWORD	ANM_Frame          ;Current frame/Frame to unpack.
	UWORD	ANM_AmtFrames      ;The total amount of frames.
	ULONG	ANM_AmtColours     ;The total amount of colours.
	APTR	ANM_Palette        ;Pointer to the frame's palette.
	UWORD	ANM_Planes         ;Amount of planes if planar.
	UWORD	ANM_ScrMode        ;Expected screen mode for anim.
	UWORD	ANM_Type           ;Interleaved/Chunky/Planar
	ULONG	ANM_Options        ;Special options.
	APTR	ANM_File           ;Where this anim comes from.
	LABEL	AMV1_SIZEOF

****************************************************************************
* The Reko structure for playing cards.

RKV1 =	("RK"<<16)|00

    STRUCTURE	Reko,0
	ULONG	RKO_VERSION        ;Structure version, RKV1.
	APTR	RKO_Stats          ;Private.
	APTR	RKO_Data           ;The Reko card data.
	UWORD	RKO_Card           ;Card number to draw.
	UWORD	RKO_Width          ;Width of card
	UWORD	RKO_Height         ;Height of card
	UWORD	RKO_AmtCards       ;Number of cards in deck.
	UWORD	RKO_Planes         ;Amount of planes.
	ULONG	RKO_AmtColours     ;Amount of colours
	APTR	RKO_Palette        ;Pointer to palette
	UWORD	RKO_ScrMode        ;Screen mode.	
	ULONG	RKO_Options        ;Options like GETPALETTE.
	ULONG	RKO_Attrib         ;Blitting attributes.
	APTR	RKO_File           ;File that the cardset comes from.
	LABEL	RKV1_SIZEOF

;Picture, Anim, and Reko special options (ANM/PIC/RKO_Options)

B_GETPALETTE =	0
B_VIDEOMEM =	1
B_REMAP =	2
B_GETVMODE =	3
B_RESIZEX =	4
B_RESIZEY =	5
B_BLITMEM =	6

GETPALETTE =	(1<<B_GETPALETTE)  ;Allocate the palette.
VIDEOMEM =	(1<<B_VIDEOMEM)    ;Unpack to video mem only.
REMAP	=	(1<<B_REMAP)       ;Allow remapping.
GETVMODE =	(1<<B_GETVMODE)    ;Obtain the viewmode.
RESIZEX =	(1<<B_RESIZEX)     ;Allow resize on X axis.
RESIZEY =	(1<<B_RESIZEY)     ;Allow resize on Y axis.
BLITMEM =	(1<<B_BLITMEM)     ;Unpack to blitter mem only.

RESIZE =	RESIZEX|RESIZEY    ;Allow resize on both axis?
BLITTERMEM =	BLITMEM            ;Synonym for BLITMEM.


	ENDC	;GMS_IMAGE_I
