#ifndef _INCLUDE_PRAGMA_GAMES_LIB_H
#define _INCLUDE_PRAGMA_GAMES_LIB_H

#ifndef CLIB_GAMES_PROTOS_H
#include <clib/games_protos.h>
#endif

#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(GMSBase,0x01E,InitGPI(d0))
#pragma amicall(GMSBase,0x024,RemoveGPI(d0))
#pragma amicall(GMSBase,0x02A,InitJoyPorts())
#pragma amicall(GMSBase,0x030,ReadMouse(d0))
#pragma amicall(GMSBase,0x036,ReadJoyPort(d0,d1))
#pragma amicall(GMSBase,0x03C,ReadJoyStick(d0))
#pragma amicall(GMSBase,0x042,ReadJoyPad(d0))
#pragma amicall(GMSBase,0x048,ReadSegaPad(d0))
#pragma amicall(GMSBase,0x04E,ReadAnalogue(d0))
#pragma amicall(GMSBase,0x054,ReadKey(a1))
#pragma amicall(GMSBase,0x05A,FastRandom(d1))
#pragma amicall(GMSBase,0x060,SlowRandom(d1))
#pragma amicall(GMSBase,0x066,WaitLMB())
#pragma amicall(GMSBase,0x06C,WaitFire(d0))
#pragma amicall(GMSBase,0x072,WaitTime(d0))
#pragma amicall(GMSBase,0x078,AddInputHandler())
#pragma amicall(GMSBase,0x07E,RemInputHandler())
#pragma amicall(GMSBase,0x084,AddInterrupt(a0,d0,d1))
#pragma amicall(GMSBase,0x08A,RemInterrupt(a0))
#pragma amicall(GMSBase,0x090,SmartLoad(a0,a1,d0))
#pragma amicall(GMSBase,0x096,QuickLoad(a0,a1,d0))
#pragma amicall(GMSBase,0x09C,SmartUnpack(a0,a1,d0,d1))
#pragma amicall(GMSBase,0x0A2,SmartSave(a0,a1,d0))
#pragma amicall(GMSBase,0x0A8,SetUserPrefs(a0))
#pragma amicall(GMSBase,0x0AE,GetPicInfo(a0,a1))
#pragma amicall(GMSBase,0x0B4,UnpackPic(a0,a1))
#pragma amicall(GMSBase,0x0BA,LoadPic(a1))
#pragma amicall(GMSBase,0x0C0,AllocMemBlock(d0,d1))
#pragma amicall(GMSBase,0x0C6,FreeMemBlock(d0))
#pragma amicall(GMSBase,0x0CC,FreePic(a1))
#pragma amicall(GMSBase,0x0D2,InitTags(a0,a1))
#pragma amicall(GMSBase,0x0D8,LoadPicInfo(d0,a1))
#pragma amicall(GMSBase,0x0DE,FindGMSTask())
#pragma amicall(GMSBase,0x0E4,AddTrack(d0,a0))
#pragma amicall(GMSBase,0x0EA,DeleteTrack(d0,d1))
#pragma amicall(GMSBase,0x0F0,DecToText(d0,d1,a0))
#pragma amicall(GMSBase,0x0F6,LoadObjectFile(a0))
#pragma amicall(GMSBase,0x0FC,GetObject(a0,a1))
#pragma amicall(GMSBase,0x102,GetObjectList(a0,a1))
#pragma amicall(GMSBase,0x108,FreeObjectFile(a0))
#pragma amicall(GMSBase,0x10E,GrabObjectList(a0))
#pragma amicall(GMSBase,0x17A,AddScreen(a0))
#pragma amicall(GMSBase,0x180,DeleteScreen(a0))
#pragma amicall(GMSBase,0x186,ShowScreen(a0))
#pragma amicall(GMSBase,0x18C,HideDisplay())
#pragma amicall(GMSBase,0x192,Switch())
#pragma amicall(GMSBase,0x198,AutoSwitch())
#pragma amicall(GMSBase,0x19E,SwapBuffers(a0))
#pragma amicall(GMSBase,0x1A4,WaitVBL())
#pragma amicall(GMSBase,0x1AA,WaitSVBL())
#pragma amicall(GMSBase,0x1B0,WaitSRVBL())
#pragma amicall(GMSBase,0x1B6,WaitRastLine(d0))
#pragma amicall(GMSBase,0x1BC,RefreshScreen(a0))
#pragma amicall(GMSBase,0x1C2,RemakeScreen(a0))
#pragma amicall(GMSBase,0x1C8,MovePicture(a0))
#pragma amicall(GMSBase,0x1CE,ResetPicture(a0))
#pragma amicall(GMSBase,0x1D4,UpdatePalette(a0))
#pragma amicall(GMSBase,0x1DA,PaletteMorph(a0,d0,d1,d3,d4,a1,a2))
#pragma amicall(GMSBase,0x1E0,PaletteToColour(a0,d0,d1,d3,d4,a1,d2))
#pragma amicall(GMSBase,0x1E6,ColourMorph(a0,d0,d1,d3,d4,d2,d5))
#pragma amicall(GMSBase,0x1EC,ColourToPalette(a0,d0,d1,d3,d4,a1,d2))
#pragma amicall(GMSBase,0x1F2,ChangeColours(a0,a1,d0,d1))
#pragma amicall(GMSBase,0x1F8,BlankColours(a0))
#pragma amicall(GMSBase,0x1FE,InitRasterList(a0))
#pragma amicall(GMSBase,0x204,UpdateRasterList(a0))
#pragma amicall(GMSBase,0x20A,UpdateRasterCommand(a0,a2))
#pragma amicall(GMSBase,0x210,UpdateRasterCommands(a0,a2,d0))
#pragma amicall(GMSBase,0x216,UpdateRasterLines(a0))
#pragma amicall(GMSBase,0x21C,RemoveRasterList(a0))
#pragma amicall(GMSBase,0x222,HideRasterList(a0))
#pragma amicall(GMSBase,0x228,ShowRasterList(a0))
#pragma amicall(GMSBase,0x22E,InitSprite(a0,a1))
#pragma amicall(GMSBase,0x234,UpdateSprite(a0,a1))
#pragma amicall(GMSBase,0x23A,MoveSprite(a0,a1))
#pragma amicall(GMSBase,0x240,HideSprite(a0,d0))
#pragma amicall(GMSBase,0x246,UpdateSpriteList(a0))
#pragma amicall(GMSBase,0x24C,HideSpriteList(a0))
#pragma amicall(GMSBase,0x252,RemoveAllSprites(a0))
#pragma amicall(GMSBase,0x258,ReturnAllSprites(a0))
#pragma amicall(GMSBase,0x25E,FreeSprite(a1))
#pragma amicall(GMSBase,0x264,UpdateRGB12(a0,d0,d1))
#pragma amicall(GMSBase,0x26A,UpdateRGB24(a0,d0,d1))
#pragma amicall(GMSBase,0x270,ScrLockOn(a0))
#pragma amicall(GMSBase,0x276,ScrLockOff(a0))
#pragma amicall(GMSBase,0x27C,AllocVideoMem(d0))
#pragma amicall(GMSBase,0x2F4,AllocBlitter())
#pragma amicall(GMSBase,0x2FA,FreeBlitter())
#pragma amicall(GMSBase,0x300,InitBOB(a0,a1))
#pragma amicall(GMSBase,0x306,FreeBOB(a1))
#pragma amicall(GMSBase,0x30C,DrawBOB(a0,a1,a2,d0))
#pragma amicall(GMSBase,0x312,DrawBOBList(a0,a1,a2,d0))
#pragma amicall(GMSBase,0x318,ClearBOB(a0,a1,d0))
#pragma amicall(GMSBase,0x31E,DrawLine(a0,d0,d1,d2,d3,d4,d5))
#pragma amicall(GMSBase,0x324,CopyBuffer(a0,d0,d1))
#pragma amicall(GMSBase,0x32A,ClrScreen(a0,d0))
#pragma amicall(GMSBase,0x330,ClrArea(a0,d0,d1,d2,d3))
#pragma amicall(GMSBase,0x336,InitRestore(d0,d1))
#pragma amicall(GMSBase,0x33C,FreeRestore(d0))
#pragma amicall(GMSBase,0x342,ResetRestore(a1))
#pragma amicall(GMSBase,0x348,Restore(a0,a1))
#pragma amicall(GMSBase,0x34E,CleanUpRestore(a0,a1))
#pragma amicall(GMSBase,0x354,InitMap(a0,a1))
#pragma amicall(GMSBase,0x35A,DrawMap(a0,a1))
#pragma amicall(GMSBase,0x360,DrawMapHRow(a0,a1,d0,d1))
#pragma amicall(GMSBase,0x366,DrawMapVRow(a0,a1,d0,d1))
#pragma amicall(GMSBase,0x36C,FreeMap(a1))
#pragma amicall(GMSBase,0x372,DrawPixel(a0,d0,d1,d2,d3))
#pragma amicall(GMSBase,0x378,DrawPixelList(a0,d0,a1))
#pragma amicall(GMSBase,0x37E,DrawUCPixelList(a0,d0,a1))
#pragma amicall(GMSBase,0x384,DrawUCPixel(a0,d0,d1,d2,d3))
#pragma amicall(GMSBase,0x38A,ReadPixel(a0,d0,d1,d2))
#pragma amicall(GMSBase,0x390,ReadPixelList(a0,d0,a1))
#pragma amicall(GMSBase,0x396,DrawUCLine(a0,d0,d1,d2,d3,d4,d5))
#pragma amicall(GMSBase,0x39C,DrawMapTile(a0,a1,d0,d1))
#pragma amicall(GMSBase,0x3A2,AllocBlitMem(d0))
#pragma amicall(GMSBase,0x462,AllocAudio())
#pragma amicall(GMSBase,0x468,FreeAudio())
#pragma amicall(GMSBase,0x46E,InitSound(a0))
#pragma amicall(GMSBase,0x474,FreeSound(a0))
#pragma amicall(GMSBase,0x47A,CheckChannel(d0))
#pragma amicall(GMSBase,0x480,PlaySound(a0))
#pragma amicall(GMSBase,0x486,PlaySoundDAC1(a0))
#pragma amicall(GMSBase,0x48C,PlaySoundDAC2(a0))
#pragma amicall(GMSBase,0x492,PlaySoundDAC3(a0))
#pragma amicall(GMSBase,0x498,PlaySoundDAC4(a0))
#pragma amicall(GMSBase,0x49E,PlaySoundPri(a0))
#pragma amicall(GMSBase,0x4A4,PlaySoundPriDAC1(a0))
#pragma amicall(GMSBase,0x4AA,PlaySoundPriDAC2(a0))
#pragma amicall(GMSBase,0x4B0,PlaySoundPriDAC3(a0))
#pragma amicall(GMSBase,0x4B6,PlaySoundPriDAC4(a0))
#pragma amicall(GMSBase,0x4BC,SetVolume(d0,d1))
#pragma amicall(GMSBase,0x4C2,FadeVolume(d0))
#pragma amicall(GMSBase,0x4C8,StopSound(a0))
#pragma amicall(GMSBase,0x4CE,StopChannel(d0))
#pragma amicall(GMSBase,0x4D4,InitMusic())
#pragma amicall(GMSBase,0x4DA,PlayMusic())
#pragma amicall(GMSBase,0x4E0,StopMusic())
#pragma amicall(GMSBase,0x4E6,AllocSoundMem(d0))
#pragma tagcall(GMSBase,0x17A,AddScreenTags(a0))
#pragma tagcall(GMSBase,0x0BA,LoadPicTags(a1))
#pragma tagcall(GMSBase,0x300,InitBOBTags(a0,a1))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma libcall GMSBase InitGPI              01E 001
#pragma libcall GMSBase RemoveGPI            024 001
#pragma libcall GMSBase InitJoyPorts         02A 00
#pragma libcall GMSBase ReadMouse            030 001
#pragma libcall GMSBase ReadJoyPort          036 1002
#pragma libcall GMSBase ReadJoyStick         03C 001
#pragma libcall GMSBase ReadJoyPad           042 001
#pragma libcall GMSBase ReadSegaPad          048 001
#pragma libcall GMSBase ReadAnalogue         04E 001
#pragma libcall GMSBase ReadKey              054 901
#pragma libcall GMSBase FastRandom           05A 101
#pragma libcall GMSBase SlowRandom           060 101
#pragma libcall GMSBase WaitLMB              066 00
#pragma libcall GMSBase WaitFire             06C 001
#pragma libcall GMSBase WaitTime             072 001
#pragma libcall GMSBase AddInputHandler      078 00
#pragma libcall GMSBase RemInputHandler      07E 00
#pragma libcall GMSBase AddInterrupt         084 10803
#pragma libcall GMSBase RemInterrupt         08A 801
#pragma libcall GMSBase SmartLoad            090 09803
#pragma libcall GMSBase QuickLoad            096 09803
#pragma libcall GMSBase SmartUnpack          09C 109804
#pragma libcall GMSBase SmartSave            0A2 09803
#pragma libcall GMSBase SetUserPrefs         0A8 801
#pragma libcall GMSBase GetPicInfo           0AE 9802
#pragma libcall GMSBase UnpackPic            0B4 9802
#pragma libcall GMSBase LoadPic              0BA 901
#pragma libcall GMSBase AllocMemBlock        0C0 1002
#pragma libcall GMSBase FreeMemBlock         0C6 001
#pragma libcall GMSBase FreePic              0CC 901
#pragma libcall GMSBase InitTags             0D2 9802
#pragma libcall GMSBase LoadPicInfo          0D8 9002
#pragma libcall GMSBase FindGMSTask          0DE 00
#pragma libcall GMSBase AddTrack             0E4 8002
#pragma libcall GMSBase DeleteTrack          0EA 1002
#pragma libcall GMSBase DecToText            0F0 81003
#pragma libcall GMSBase LoadObjectFile       0F6 801
#pragma libcall GMSBase GetObject            0FC 9802
#pragma libcall GMSBase GetObjectList        102 9802
#pragma libcall GMSBase FreeObjectFile       108 801
#pragma libcall GMSBase GrabObjectList       10E 801
#pragma libcall GMSBase AddScreen            17A 801
#pragma libcall GMSBase DeleteScreen         180 801
#pragma libcall GMSBase ShowScreen           186 801
#pragma libcall GMSBase HideDisplay          18C 00
#pragma libcall GMSBase Switch               192 00
#pragma libcall GMSBase AutoSwitch           198 00
#pragma libcall GMSBase SwapBuffers          19E 801
#pragma libcall GMSBase WaitVBL              1A4 00
#pragma libcall GMSBase WaitSVBL             1AA 00
#pragma libcall GMSBase WaitSRVBL            1B0 00
#pragma libcall GMSBase WaitRastLine         1B6 001
#pragma libcall GMSBase RefreshScreen        1BC 801
#pragma libcall GMSBase RemakeScreen         1C2 801
#pragma libcall GMSBase MovePicture          1C8 801
#pragma libcall GMSBase ResetPicture         1CE 801
#pragma libcall GMSBase UpdatePalette        1D4 801
#pragma libcall GMSBase PaletteMorph         1DA A94310807
#pragma libcall GMSBase PaletteToColour      1E0 294310807
#pragma libcall GMSBase ColourMorph          1E6 524310807
#pragma libcall GMSBase ColourToPalette      1EC 294310807
#pragma libcall GMSBase ChangeColours        1F2 109804
#pragma libcall GMSBase BlankColours         1F8 801
#pragma libcall GMSBase InitRasterList       1FE 801
#pragma libcall GMSBase UpdateRasterList     204 801
#pragma libcall GMSBase UpdateRasterCommand  20A A802
#pragma libcall GMSBase UpdateRasterCommands 210 0A803
#pragma libcall GMSBase UpdateRasterLines    216 801
#pragma libcall GMSBase RemoveRasterList     21C 801
#pragma libcall GMSBase HideRasterList       222 801
#pragma libcall GMSBase ShowRasterList       228 801
#pragma libcall GMSBase InitSprite           22E 9802
#pragma libcall GMSBase UpdateSprite         234 9802
#pragma libcall GMSBase MoveSprite           23A 9802
#pragma libcall GMSBase HideSprite           240 0802
#pragma libcall GMSBase UpdateSpriteList     246 801
#pragma libcall GMSBase HideSpriteList       24C 801
#pragma libcall GMSBase RemoveAllSprites     252 801
#pragma libcall GMSBase ReturnAllSprites     258 801
#pragma libcall GMSBase FreeSprite           25E 901
#pragma libcall GMSBase UpdateRGB12          264 10803
#pragma libcall GMSBase UpdateRGB24          26A 10803
#pragma libcall GMSBase ScrLockOn            270 801
#pragma libcall GMSBase ScrLockOff           276 801
#pragma libcall GMSBase AllocVideoMem        27C 001
#pragma libcall GMSBase AllocBlitter         2F4 00
#pragma libcall GMSBase FreeBlitter          2FA 00
#pragma libcall GMSBase InitBOB              300 9802
#pragma libcall GMSBase FreeBOB              306 901
#pragma libcall GMSBase DrawBOB              30C 0A9804
#pragma libcall GMSBase DrawBOBList          312 0A9804
#pragma libcall GMSBase ClearBOB             318 09803
#pragma libcall GMSBase DrawLine             31E 543210807
#pragma libcall GMSBase CopyBuffer           324 10803
#pragma libcall GMSBase ClrScreen            32A 0802
#pragma libcall GMSBase ClrArea              330 3210805
#pragma libcall GMSBase InitRestore          336 1002
#pragma libcall GMSBase FreeRestore          33C 001
#pragma libcall GMSBase ResetRestore         342 901
#pragma libcall GMSBase Restore              348 9802
#pragma libcall GMSBase CleanUpRestore       34E 9802
#pragma libcall GMSBase InitMap              354 9802
#pragma libcall GMSBase DrawMap              35A 9802
#pragma libcall GMSBase DrawMapHRow          360 109804
#pragma libcall GMSBase DrawMapVRow          366 109804
#pragma libcall GMSBase FreeMap              36C 901
#pragma libcall GMSBase DrawPixel            372 3210805
#pragma libcall GMSBase DrawPixelList        378 90803
#pragma libcall GMSBase DrawUCPixelList      37E 90803
#pragma libcall GMSBase DrawUCPixel          384 3210805
#pragma libcall GMSBase ReadPixel            38A 210804
#pragma libcall GMSBase ReadPixelList        390 90803
#pragma libcall GMSBase DrawUCLine           396 543210807
#pragma libcall GMSBase DrawMapTile          39C 109804
#pragma libcall GMSBase AllocBlitMem         3A2 001
#pragma libcall GMSBase AllocAudio           462 00
#pragma libcall GMSBase FreeAudio            468 00
#pragma libcall GMSBase InitSound            46E 801
#pragma libcall GMSBase FreeSound            474 801
#pragma libcall GMSBase CheckChannel         47A 001
#pragma libcall GMSBase PlaySound            480 801
#pragma libcall GMSBase PlaySoundDAC1        486 801
#pragma libcall GMSBase PlaySoundDAC2        48C 801
#pragma libcall GMSBase PlaySoundDAC3        492 801
#pragma libcall GMSBase PlaySoundDAC4        498 801
#pragma libcall GMSBase PlaySoundPri         49E 801
#pragma libcall GMSBase PlaySoundPriDAC1     4A4 801
#pragma libcall GMSBase PlaySoundPriDAC2     4AA 801
#pragma libcall GMSBase PlaySoundPriDAC3     4B0 801
#pragma libcall GMSBase PlaySoundPriDAC4     4B6 801
#pragma libcall GMSBase SetVolume            4BC 1002
#pragma libcall GMSBase FadeVolume           4C2 001
#pragma libcall GMSBase StopSound            4C8 801
#pragma libcall GMSBase StopChannel          4CE 001
#pragma libcall GMSBase InitMusic            4D4 00
#pragma libcall GMSBase PlayMusic            4DA 00
#pragma libcall GMSBase StopMusic            4E0 00
#pragma libcall GMSBase AllocSoundMem        4E6 001

#pragma tagcall GMSBase AddScreenTags        17A 801
#pragma tagcall GMSBase LoadPicTags          0BA 901
#pragma tagcall GMSBase InitBOBTags          300 9802
#endif

#endif	/*  _INCLUDE_PRAGMA_GAMES_LIB_H  */