/*
**  $VER: gamesbase.e 0.5 (15.02.97)
**
**  Definition of the games.library base structure.
**
**  (C) Copyright 1996-1997 DreamWorld Productions.
**      All Rights Reserved
*/

OPT MODULE
OPT EXPORT

MODULE 'exec/libraries'

OBJECT gamesbase
   games_Flags      :CHAR ->Private
   games_Pad        :CHAR ->Private
   games_SegList    :LONG ->Private

   oldmouseX1       :INT  ->Private.
   oldmouseY1       :INT  ->Private.
   oldmouseX2       :INT  ->Private.
   oldmouseY2       :INT  ->Private.
   vbl_position     :INT  ->VBL Position (End of Screen mark)
   scrswitch        :INT  ->Private.
   randomseed       :LONG ->Random seed.  No need to alter.
   blitterused      :INT  ->0 = Free, 1 = Grabbed.
   blitterpriority  :INT  ->0 = NoPriority, 1 = Priority.
   currentscreen    :LONG ->Ptr to currently displayed screen.
   gmstasklist      :LONG ->Private.
   hsync            :INT  ->Private.
   mintracksize     :LONG ->Private.
ENDOBJECT
