/*
**  $VER: gamesbase.h 0.5 (15.02.97)
**
**  Definition of the games.library base structure.
**
**  (C) Copyright 1996-1997 DreamWorld Productions.
**      All Rights Reserved
*/

#ifndef GAMES_GMSBASE_H
#define GAMES_GMSBASE_H

#ifndef EXEC_TYPES_H
#include "exec/types.h"
#endif
#ifndef EXEC_LISTS_H
#include <exec/lists.h>
#endif
#ifndef EXEC_LIBRARIES_H
#include <exec/libraries.h>
#endif

 struct GMSBase
  {
  struct Library LibNode;            /* Standard library stuff */
  
  WORD   OldMouseX1;                 /* Private */
  WORD   OldMouseY1;                 /* Private */
  WORD   OldMouseX2;                 /* Private */
  WORD   OldMouseY2;                 /* Private */
  UWORD  VBL_Position;               /* Private */
  UWORD  ScrSwitch;                  /* Private */
  ULONG  RandomSeed;                 /* Random seed */
  UWORD  BlitterUsed;                /* 0 = Free, 1 = Grabbed */
  UWORD  BlitterPriority;            /* 0 = NoPriority, 1 = Priority */
  struct GameScreen *CurrentScreen;  /* Currently displayed screen */
  APTR   GMSTaskList;
  UWORD  HSync
  ULONG  MinTrackSize;
  };

#define GMSNAME "games.library"

#endif /* GAMES_GMSBASE_H */
