	IFND GMS_MISC_I
GMS_MISC_I  SET  1

**
**	$VER: misc.i 0.5 (09.02.97)
**
**	(C) Copyright 1996-1997 DreamWorld Productions.
**	    All Rights Reserved
**


* --- Entry stucture for GetObjectList().

    STRUCTURE	ObjectEntry,0
	APTR	OE_Name	;Pointer to the name, may be NULL.
	APTR	OE_Object	;Object is returned here.
	LABEL	OE_SIZEOF

;Private structure for object headers.

    STRUCTURE	DataHeader,0	;Data header for each object.
	ULONG	DH_Type	;Type of object, eg STRC, CODE, DATA.
	ULONG	DH_Next	;Offset towards next object.
	LABEL	DH_Name	;The name of the object.

* --- Choose one of these when calling Set_Interrupt().

INTB_INTEN =	14             ;Master interrupt (enable only )
INTB_EXTER =	13             ;External interrupt
INTB_DSKSYNC =	12             ;Disk re-SYNChronized
INTB_RBF =	11             ;serial port Receive Buffer Full
INTB_AUD3 =	10             ;Audio channel 3 block finished
INTB_AUD2 =	9              ;Audio channel 2 block finished
INTB_AUD1 =	8              ;Audio channel 1 block finished
INTB_AUD0 =	7              ;Audio channel 0 block finished
INTB_BLIT =	6              ;Blitter finished
INTB_VERTB =	5              ;start of Vertical Blank
INTB_COPER =	4              ;Coprocessor
INTB_PORTS =	3              ;I/O Ports and timers
INTB_SOFTINT =	2              ;software interrupt rest
INTB_DSKBLK =	1              ;Disk Block done
INTB_TBE =	0              ;serial port Transmit Buffer Empty

* --- The KeyPress structure, used by Read_Key().

    STRUCTURE	KP,00
	UWORD	KP_ID          ;GMS Identification - ignore.
	UBYTE	KP_Key1        ;Newest Keypress
	UBYTE	KP_Key2        ;...
	UBYTE	KP_Key3        ;...
	UBYTE	KP_Key4        ;Oldest Keypress
	LABEL	KP_SIZEOF

* --- Special Keypresses that can be returned from Read_Key().  All other
*     keys can be considered to be in ASCII format. 

K_SCS =		$80                   ;ScreenSwitch (LEFTAMIGA + M)
K_DEL	=	$81
K_HELP	=	$82

K_LSHIFT =	$83
K_RSHIFT =	$84
K_CAPS =	$85
K_CTRL =	$86
K_LALT =	$87
K_RALT =	$88
K_LAMIGA =	$89
K_RAMIGA =	$8a

K_F1	=	$8b
K_F2	=	$8c
K_F3	=	$8d
K_F4	=	$8e
K_F5	=	$8f
K_F6	=	$90
K_F7	=	$91
K_F8	=	$92
K_F9	=	$93
K_F10	=	$94
K_F11	=	$95
K_F12	=	$96
K_F13	=	$97
K_F14	=	$98
K_F15	=	$99
K_F16	=	$9a
K_F17	=	$9b
K_F18	=	$9c
K_F19	=	$9d
K_F20	=	$9e

C_UP	=	$9f
C_DOWN	=	$a0
C_RIGHT	=	$a1
C_LEFT	=	$a2

K_SRIGHT =	$a3                   ;Special key on right.
K_SLEFT =	$a4                   ;Special key on left.

* --- Special keys that are recognised under ASCII (here for convenience).

K_BAKSPC =	08
K_TAB	=	09
K_ENTER =	10
K_RETURN =	10
K_ESC	=	$1b

	ENDC	;GMS_MISC_I
