	IFND GMS_TASKS_I
GMS_TASKS_I  SET  1

**
**	$VER: tasks.i 0.5 (15.02.97)
**
**      (C) Copyright 1996-1997 DreamWorld Productions.
**          All Rights Reserved
**

	IFND    EXEC_TYPES_I
	include 'exec/types.i'
	ENDC

*****************************************************************************
* This task structure is lodged into tc_UserData (see exec/tasks.i), so
* you may not change that field when using GMS.  A UserData field exists
* here so that you may use it if necessary.  Use FindGMSTask() and not
* FindTask(), for full compatibility, thanks.

    STRUCTURE	GMSTask,0
	APTR	gt_UserData      ;Pointer to user data, no restrictions.
	APTR	gt_TaskName      ;Name of the task, if specified.
	APTR	gt_MasterPrefs   ;Library preferences.
	APTR	gt_ScreenPrefs   ;Screen preferences.
	APTR	gt_SoundPrefs    ;Sound preferences.
	APTR	gt_BlitterPrefs  ;Blitter preferences.
	APTR	gt_ResourceChain ;The resource chain, private.
	ULONG	gt_LastError     ;Last error code, used by only a few functions.
	LABEL	GT_SIZEOF

	;You should not read or write to these fields except for debugging
	;purposes.

    STRUCTURE	ScreenPrefs,0
	ULONG	SPF_VERSION          ;"SCR1"
	UWORD	SPF_ChipSet          ;OCS/ECS/AGA
	UWORD	SPF_ModePromote      ;None/NTSC/PAL/DBLNTSC/DBLPAL/VGA
	UWORD	SPF_GfxBoard         ;Gfx board setting.
	UWORD	SPF_TopOfScrX        ;Top corner of screen, X.
	UWORD	SPF_TopOfScrY        ;Top corner of screen, Y.
	UWORD	SPF_ScrSwitch        ;Screen Switch to window or screen.
	UWORD	SPF_ScrWidth         ;The width of the visible screen.
	UWORD	SPF_ScrHeight        ;The height of the visible screen.
	UWORD	SPF_Empty1
	UWORD	SPF_Empty2
	UWORD	SPF_Planes           ;The amount of planes in the screen.
	ULONG	SPF_Attrib           ;Special Attributes...
	UWORD	SPF_ScrMode          ;Screen mode...
	UWORD	SPF_ScrType          ;Interleaved/Planar/Chunky?
	LABEL	SPF_SIZEOF


   STRUCTURE	MasterPrefs,0
	APTR	MPF_JoyEmuKeys       ;Pointer to emulation keys.
	APTR	MPF_CallingList      ;Pointer to calling list.
	UWORD	MPF_JoyType1         ;Type of Joystick in port 1.
	UWORD	MPF_JoyType2         ;Type of Joystick in port 2.
	UWORD	MPF_JoyType3         ;Type of Joystick in port 3.
	UWORD	MPF_JoyType4         ;Type of Joystick in port 4.
	UWORD	MPF_JoyEmulation     ;Joystick emulation on/off.
	UWORD	MPF_Language         ;Language
	UWORD	MPF_UserPri          ;User priority
	UWORD	MPF_ResourceTracking ;Resource tracking on/off.
	LABEL	MPF_SIZEOF

CS_OCS =	0
CS_ECS =	1
CS_AGA =	2

  ENDC	;GMS_TASKS_I
