/* AGA Picture
** -----------
** Fades in a 32 colour AGA picture (24 bit colour).  And then fades it out.
**
** Press left mouse button to exit.
*/

MODULE 'games','games/games'

PROC main()
   DEF screen:PTR TO gamescreen, fstate:LONG, pic:PTR TO picture

   IF gmsbase := OpenLibrary('games.library',0)
      SetUserPrefs(0)
      IF (screen := AddScreen([TAGS,0,
           GSA_SCRWIDTH,320,
           GSA_SCRHEIGHT,256,
           GSA_PLANES,5,
           GSA_SCRMODE,LORES OR COL24BIT,
           GSA_SCRTYPE,ILBM,
           TAGEND]))

       IF (pic := LoadPic([TAGS,0,
          PCA_DATA,screen.memptr1,
          PCA_WIDTH,320,
          PCA_HEIGHT,256,
          PCA_PLANES,5,
          PCA_SCRMODE,LORES OR COL24BIT,
          PCA_SCRTYPE,ILBM,
          PCA_OPTIONS,GETPALETTE,
          PCA_FILE,'GAMESLIB:data/IFF.Loading',
          TAGEND]))

       ShowScreen(screen)

       fstate := 0
       REPEAT
         WaitSVBL()
         fstate := ColourToPalette(screen,fstate,2,0,32,pic.palette,$000000)
       UNTIL (fstate = 0)

       WaitLMB()

       fstate := 0
       REPEAT
         WaitSVBL()
         fstate := PaletteToColour(screen,fstate,2,0,32,pic.palette,$000000)
       UNTIL (fstate = 0)

     ENDIF
    DeleteScreen(screen)        
    ENDIF
   CloseLibrary(gmsbase)
   ENDIF
ENDPROC
